Subject: Re: bug#52870: Is displaying <menu-bar> bindings in describe-function useful?

From: Po Lu <[email-masked]>
Date: Sat, 15 Jan 2022 20:09:44 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> What is your rationale for this?  Is it easier to accept if it is before
>>> the "Probably introduced" line?
>>
>> The rationale is that hardly anyone ever looks at the "Probably
>> introduced" line.  Before it is slightly better, but not good enough:
>> some doc strings are very long, so the menu-bar bindings will be
>> pushed too far.
>
> I think saying explictly
>
>   It can be invoked from the menu: "Help Menu" -> "Describe..."
>
> is a lot clearer (and helpful) for users than the current
>
> It is bound to C-h f, <help> f, <menu-bar> <help-menu> <describe>
> <describe-function>.
>
> Perhaps keeping it grouped with the binding info would be good, though.
> So:
>
> It is bound to C-h f and <help> f
> It can also be invoked from the menu: "Help Menu" -> "Describe" ...
>
> or something like that?

FWIW I think it would be a good idea to do something like this:

  It is bound to C-h f, <help> f, <menu-bar> <help-menu> <describe>
  <describe-function> (which means it can be invoked from the menu:
  "Help Menu" -> "Describe" ...).

Though I don't think I got the wording completely right there.